package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.UserCurriculumRepository;
import ovh.herisson.Clyde.Tables.Curriculum;
import ovh.herisson.Clyde.Tables.User;

@Service
public class UserCurriculumService {

    private final UserCurriculumRepository userCurriculumRepository;

    public UserCurriculumService(UserCurriculumRepository userCurriculumRepository) {
        this.userCurriculumRepository = userCurriculumRepository;
    }

    public Curriculum findByUser(User student){
        return userCurriculumRepository.findByUser(student);
    }
}
