import { ref } from 'vue'
import { restGet, restPost, restDelete, restPatch } from './restConsumer.js'

/**
 * List forums of a course
 */
export async function getForumsOfCourse(id){
	ForumsOfCurrentCourse.value = [
		{
			id: 1,
			name: "forum~1" 
		},
		{
			id: 2,
			name: "forum~2" 
		},
	]
	// ForumsOfCurrentCourse = await restGet("/forums/" + id)
}

export const ForumsOfCurrentCourse = ref();

/**
 * List post of a specified forum
 */
export async function getPostsOfForum(id){
	PostsOfCurrentForum.value = [
		{
			id: 1,
			name: "Post~1" 
		},
		{
			id: 2,
			name: "Post~2" 
		},
	] 
	// PostsCurrentForum.value = await restGet("/forum/" + id);
}

export const PostsOfCurrentForum = ref();

/**
 * Get a post and its responses
 */
export async function fetchPost(id){
	fetchedPost.value = {
		id: 1,
		subject: "This is the subject of the post",
		content: "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.",
		messages: [
			{
				id: 1,
				author: "author~1",
				content: "J'ai pas copris le message !"
			},
			{
				id: 2,
				author: "author~2",
				content: "tu as fait une faute dans ton message..."
			},
			{
				id: 3,
				author: null,
				content: "I'm anonymous noww..."
			}
		]
	}
	// fetchedPost.value = await restGet("/forum/post/" + id);
}

export const fetchedPost = ref();
